Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIContextMenu.Properties

    java.lang.Object
      java.lang.Enum<UIContextMenu.Properties>
          org.richfaces.component.UIContextMenu.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIContextMenu.Properties>

Enclosing class:
  UIContextMenu

    protected static enum UIContextMenu.Properties

extends Enum<UIContextMenu.Properties>

Enum Constant Summary
`attached`
`dir`
`direction`
`disabled`
`hideDelay`
`horizontalOffset`
`jointPoint`
`lang`
`mode`
`onclick`
`ondblclick`
`ongrouphide`
`ongroupshow`
`onhide`
`onitemclick`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onshow`
`popupWidth`
`showDelay`
`showEvent`
`style`
`styleClass`
`target`
`targetSelector`
`title`
`verticalOffset`

Method Summary
`static UIContextMenu.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIContextMenu.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### attached

    public static final UIContextMenu.Properties attached

### dir

    public static final UIContextMenu.Properties dir

### direction

    public static final UIContextMenu.Properties direction

### disabled

    public static final UIContextMenu.Properties disabled

### hideDelay

    public static final UIContextMenu.Properties hideDelay

### horizontalOffset

    public static final UIContextMenu.Properties horizontalOffset

### jointPoint

    public static final UIContextMenu.Properties jointPoint

### lang

    public static final UIContextMenu.Properties lang

### mode

    public static final UIContextMenu.Properties mode

### onclick

    public static final UIContextMenu.Properties onclick

### ondblclick

    public static final UIContextMenu.Properties ondblclick

### ongrouphide

    public static final UIContextMenu.Properties ongrouphide

### ongroupshow

    public static final UIContextMenu.Properties ongroupshow

### onhide

    public static final UIContextMenu.Properties onhide

### onitemclick

    public static final UIContextMenu.Properties onitemclick

### onkeydown

    public static final UIContextMenu.Properties onkeydown

### onkeypress

    public static final UIContextMenu.Properties onkeypress

### onkeyup

    public static final UIContextMenu.Properties onkeyup

### onmousedown

    public static final UIContextMenu.Properties onmousedown

### onmousemove

    public static final UIContextMenu.Properties onmousemove

### onmouseout

    public static final UIContextMenu.Properties onmouseout

### onmouseover

    public static final UIContextMenu.Properties onmouseover

### onmouseup

    public static final UIContextMenu.Properties onmouseup

### onshow

    public static final UIContextMenu.Properties onshow

### popupWidth

    public static final UIContextMenu.Properties popupWidth

### showDelay

    public static final UIContextMenu.Properties showDelay

### showEvent

    public static final UIContextMenu.Properties showEvent

### style

    public static final UIContextMenu.Properties style

### styleClass

    public static final UIContextMenu.Properties styleClass

### target

    public static final UIContextMenu.Properties target

### targetSelector

    public static final UIContextMenu.Properties targetSelector

### title

    public static final UIContextMenu.Properties title

### verticalOffset

    public static final UIContextMenu.Properties verticalOffset

Method Detail

### values

    public static UIContextMenu.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIContextMenu.Properties c : UIContextMenu.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIContextMenu.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.